.\"	$NetBSD: intro.4,v 1.2 2005/06/20 13:25:24 peter Exp $
.\"
.\" $OpenBSD: intro.4,v 1.5 2004/04/16 21:23:08 jmc Exp $
.\"
.\" Copyright (c) 2002,2003 Paul Weissmann
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd March 11, 2001
.Dt INTRO 4 hp700
.Os
.Sh NAME
.Nm intro
.Nd introduction to special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation; see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the
.Tn HP PA-RISC
platform.
Software support for these devices comes in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Character and block devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found,
enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure, the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
.Sh SUPPORTED SYSTEMS
.Nx
hp700 should run on systems similar to those, listed below,
as long as they're based upon the following:
.Pp
.Bl -bullet -compact
.It
.Tn HP PA-RISC 1.1
processors:
.Bl -tag -compact -width PA7100/PA7150xx
.It PA7000
.It PA7100/PA7150
.It PA7200/PA7250
.It PA7100LC
.It PA7300LC
.El
.It
Viper memory controller;
.It
GSC bus controllers:
.Bl -tag -compact -width WAXxx
.It ASP
.It LASI
Super-integrated I/O
.It WAX
Basic I/O
.El
.It
SCSI I/O-processors:
.Bl -tag -compact -width NCR53c700/710xx
.It NCR53c700/710
Narrow Single-Ended
.It NCR53c720
Fast Wide Differential
.El
.It
Intel i82596 CA/DX LAN coprocessors
.It
Venom, (H)CRX-8 and (H)CRX-24 video controllers
.It
EISA Adapters:
.Bl -tag -compact -width WAX-EISAxx
.It i82350 ( Mongoose )
.It WAX-EISA
.El
.It
PCI Adapters:
.Bl -tag -compact -width DINO
.It Dino
GSC-PCI bridge
.It Cujo
GSC-PCI 64bit bridge
.El
.It
Human Interface Loop
.Tn ( HIL )
keyboard and mouse
.It
PS/2 port keyboard and mouse
.El
.Pp
Below a list of
.Tn HP 9000/700
models targetted for support is listed, including basic
system characteristics.
.Bl -column "J210XC" "200" "7300LC" "64/64(+1MB)" "Expansion" -offset left
.It "Model" Ta "MHz" Ta "CPU" Ta "Caches, KB" Ta "Expansion"
.It "705" Ta "35" Ta "7000" Ta "32/64" Ta "N/A"
.It "710" Ta "50" Ta "7000" Ta "32/64" Ta "N/A"
.It "720" Ta "50" Ta "7000" Ta "128/256" Ta "EISA, GSC"
.It "730" Ta "66" Ta "7000" Ta "128/256" Ta "EISA, GSC"
.It "750" Ta "66" Ta "7000" Ta "256/256" Ta "4 EISA, 2 SGC"
.It "715" Ta "33" Ta "7100" Ta "64/64" Ta "EISA/SGC"
.It "715" Ta "50" Ta "7100" Ta "64/64" Ta "EISA/SGC"
.It "715" Ta "75" Ta "7100" Ta "256/256" Ta "EISA/SGC"
.It "725" Ta "50" Ta "7100" Ta "64/64" Ta "3 EISA, EISA/SGC"
.It "725" Ta "75" Ta "7100" Ta "256/256" Ta "3 EISA, EISA/SGC"
.It "735" Ta "100" Ta "7100" Ta "256/256" Ta "EISA, SGC"
.It "742i" Ta "50" Ta "7100" Ta "64/64" Ta "N/A"
.It "745i" Ta "50" Ta "7100" Ta "64/64" Ta "4 EISA"
.It "745i" Ta "100" Ta "7100" Ta "256/256" Ta "4 EISA"
.It "747i" Ta "50" Ta "7100" Ta "64/64" Ta "2 EISA, SGC, 6 VME"
.It "747i" Ta "100" Ta "7100" Ta "256/256" Ta "2 EISA, SGC, 6 VME"
.It "755" Ta "100" Ta "7100" Ta "256/256" Ta "4 EISA, 2 SGC"
.It "735" Ta "125" Ta "7150" Ta "256/256" Ta "EISA, SGC"
.It "755" Ta "125" Ta "7150" Ta "256/256" Ta "4 EISA, 2 SGC"
.It "712" Ta "60" Ta "7100LC" Ta "32/32" Ta "GIO, TSIO"
.It "712" Ta "80" Ta "7100LC" Ta "128/128" Ta "GIO, TSIO"
.It "712" Ta "100" Ta "7100LC" Ta "128/128" Ta "GIO, TSIO"
.It "715" Ta "64" Ta "7100LC" Ta "128/128" Ta "EISA/GSC"
.It "715" Ta "80" Ta "7100LC" Ta "128/128" Ta "EISA/GSC"
.It "715" Ta "100" Ta "7100LC" Ta "128/128" Ta "EISA/GSC"
.It "715XC" Ta "100" Ta "7100LC" Ta "512/512" Ta "EISA/GSC"
.It "725" Ta "64" Ta "7100LC" Ta "128/128" Ta "EISA, 3 EISA/GSC"
.It "725" Ta "100" Ta "7100LC" Ta "128/128" Ta "EISA, 3 EISA/GSC"
.It "743i" Ta "64" Ta "7100LC" Ta "128/128" Ta "2 GSC-M/2(4), VME"
.It "743i" Ta "100" Ta "7100LC" Ta "128/128" Ta "2 GSC-M/2(4), VME"
.It "748i" Ta "64" Ta "7100LC" Ta "128/128" Ta "2 GSC-M/2(4), 4 EISA/PCI, 6 VME"
.It "748i" Ta "100" Ta "7100LC" Ta "128/128" Ta "2 GSC-M/2(4), 4 EISA/PCI, 6 VME"
.It "SAIC" Ta "60" Ta "7100LC" Ta "32/32" Ta "GIO, TSIO, 2 PCMCIA"
.It "SAIC" Ta "80" Ta "7100LC" Ta "128/128" Ta "GIO, TSIO, 2 PCMCIA"
.It "J200" Ta "100" Ta "7200" Ta "256/256" Ta "GSC, 2 EISA, 2 EISA/GSC"
.It "J210" Ta "120" Ta "7200" Ta "256/256" Ta "GSC, 2 EISA, 2 EISA/GSC"
.It "J210XC" Ta "120" Ta "7200" Ta "1MB/1MB" Ta "GSC, 2 EISA, 2 EISA/GSC"
.It "C100" Ta "100" Ta "7200" Ta "256/256" Ta "GSC, 3 EISA/GSC"
.It "C110" Ta "120" Ta "7200" Ta "256/256" Ta "GSC, 3 EISA/GSC"
.It "744" Ta "132" Ta "7300LC" Ta "64/64" Ta "2 GSC-M/2(4), VME"
.It "744" Ta "165" Ta "7300LC" Ta "64/64+512" Ta "2 GSC-M/2(4), VME"
.It "745" Ta "132" Ta "7300LC" Ta "64/64" Ta "2 GSC-M/2(4), 4 EISA/PCI"
.It "745" Ta "165" Ta "7300LC" Ta "64/64+512" Ta "2 GSC-M/2(4), 4 EISA/PCI"
.It "748" Ta "132" Ta "7300LC" Ta "64/64" Ta "2 GSC-M/2(4), 4 EISA/PCI, 6 VME"
.It "748" Ta "165" Ta "7300LC" Ta "64/64+512" Ta "2 GSC-M/2(4), 4 EISA/PCI, 6 VME"
.It "A180" Ta "180" Ta "7300LC" Ta "64/64" Ta "2 HSC/PCI"
.It "A180C" Ta "180" Ta "7300LC" Ta "64/64+1MB" Ta "2 HSC/PCI"
.It "B132L" Ta "132" Ta "7300LC" Ta "64/64(+1MB)" Ta "GSC/PCI, GSC/PCI/EISA"
.It "B132L+" Ta "132" Ta "7300LC" Ta "64/64(+1MB)" Ta "GSC/PCI, GSC/PCI/EISA"
.It "B160L" Ta "160" Ta "7300LC" Ta "64/64(+1MB)" Ta "GSC/PCI, GSC/PCI/EISA"
.It "B180L+" Ta "180" Ta "7300LC" Ta "64/64(+1MB)" Ta "GSC/PCI, GSC/PCI/EISA"
.It "C132L" Ta "132" Ta "7300LC" Ta "64/64(+1MB)" Ta "2 GSC/PCI/EISA, 2 GSC/EISA"
.It "C160L" Ta "160" Ta "7300LC" Ta "64/64(+1MB)" Ta "2 GSC/PCI/EISA, 2 GSC/EISA"
.It "RDI" Ta "132" Ta "7300LC" Ta "64/64(+1MB)" Ta "2 CardBus"
.It "RDI" Ta "160" Ta "7300LC" Ta "64/64(+1MB)" Ta "2 CardBus"
.It "RDI"  Ta "180" Ta "7300LC" Ta "64/64(+1MB)" Ta "2 CardBus"
.El
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Bl -tag -width le/lebuffer
.It Xr asp 4
The ASP I/O controller; found in most of the older machines which
don't have LASI or WAX.
Includes GSC-bus controller, to which most of the devices are attached.
Most of I/O is still on external chips though.
.It Xr com 4
The RS-232 ports.
.It Xr cpu 4
The Central Processor itself, makes sure the machine does something useful.
.It Xr tlp 4
.Tn DEC/Intel 21140, 21143, 21145
and clone 10/100 Ethernet controller.
.It Xr dino 4
The
.Xr pci 4
bridge on most of the newer systems.
.It Xr harmony 4
CS4215/AD1849 audio.
.It Xr hil 4
Human Interface Loop, sporting several input devices,
e.g. keyboards, mice, tablets and such.
.It Xr iee 4
.Tn i82596 CA/DX
LAN controller.
Found in every 700, either included in the MBA
or on an external chip on mainboard.
.It Xr lasi 4
LSI?, found in almost all
.Tn HP 9000/700
workstations.
Integrates most of the bus and I/O functions into one chip.
.It Xr lpt 4
The Centronics printer port.
.It Xr mem 4
Memory files and memory controller.
.It Xr mongoose 4
The
.Xr eisa 4
bus controller on most of the older 700 machines.
.It Xr oosiop 4
.Tn Symbios/NCR
53C700 SCSI I/O processor.
.It Xr osiop 4
.Tn Symbios/NCR
53C710 SCSI I/O processor.
.It Xr pdc 4
The PROM interface, allows to call the routines in the machine's
PROM for things like initial console output and such.
.It Xr siop 4
.Tn LSI/Symbios Logic/NCR
53C8xx SCSI I/O processor.
.It Xr sti 4
The system graphics driver.
.It Xr wax 4
The other reincarnation of
.Xr lasi 4
used for cheap
.Tn ASIC
implementations for add-on devices.
.El
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4
.Pa http://www.openpa.net/
.Sh HISTORY
The hp700
.Nm
first appeared with
.Ox 2.0 .
It was ported to
.Nx 2.0
by Jochen Kunz.
